/*
 * Copyright 2005-2008 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.directory.examples.dto;

import org.seasar.directory.examples.entity.PosixAccount;

/**
 * PosixアカウントDtoクラスです。
 * 
 * @author Jun Futagawa (Integsystem Corporation)
 * @version $Revision: 172 $ $Date: 2008-01-13 16:59:44 +0900 (日, 13 1 2008) $
 */
public class PosixAccountDto extends PosixAccount {

	private static final long serialVersionUID = 1L;

	/** snを表わします。 */
	private String sn;

	/**
	 * snを取得します。
	 * 
	 * @return sn
	 */
	public String getSn() {
		return sn;
	}

	/**
	 * snを設定します。
	 * 
	 * @param sn
	 */
	public void setSn(String sn) {
		this.sn = sn;
	}
}
